DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item Class Reference

Item class. More...

Inheritance diagram for DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getAlternateBeamDose (OFString &value, const signed long pos=0) const
| get AlternateBeamDose (300a,0091)
OFCondition | getAlternateBeamDose (Float64 &value, const unsigned long pos=0) const
| get AlternateBeamDose (300a,0091)
OFCondition | getAlternateBeamDoseType (OFString &value, const signed long pos=0) const
| get AlternateBeamDoseType (300a,0092)
OFCondition | getBeamDeliveryDurationLimit (Float64 &value, const unsigned long pos=0) const
| get BeamDeliveryDurationLimit (300a,00c5)
OFCondition | getBeamDose (OFString &value, const signed long pos=0) const
| get BeamDose (300a,0084)
OFCondition | getBeamDose (Float64 &value, const unsigned long pos=0) const
| get BeamDose (300a,0084)
OFCondition | getBeamDoseType (OFString &value, const signed long pos=0) const
| get BeamDoseType (300a,0090)
OFCondition | getBeamMeterset (OFString &value, const signed long pos=0) const
| get BeamMeterset (300a,0086)
OFCondition | getBeamMeterset (Float64 &value, const unsigned long pos=0) const
| get BeamMeterset (300a,0086)
OFCondition | getDoseCalibrationConditionsVerifiedFlag (OFString &value, const signed long pos=0) const
| get DoseCalibrationConditionsVerifiedFlag (300c,0123)
OFCondition | getReferencedBeamNumber (OFString &value, const signed long pos=0) const
| get ReferencedBeamNumber (300c,0006)
OFCondition | getReferencedBeamNumber (Sint32 &value, const unsigned long pos=0) const
| get ReferencedBeamNumber (300c,0006)
OFCondition | getReferencedDoseReferenceUID (OFString &value, const signed long pos=0) const
| get ReferencedDoseReferenceUID (300a,0083)
DRTDoseCalibrationConditionsSequence & | getDoseCalibrationConditionsSequence ()
| get DoseCalibrationConditionsSequence (300c,0120)
const DRTDoseCalibrationConditionsSequence & | getDoseCalibrationConditionsSequence () const
| get DoseCalibrationConditionsSequence (300c,0120)
DRTRadiationDeviceConfigurationAndCommissioningKeySequence & | getRadiationDeviceConfigurationAndCommissioningKeySequence ()
| get RadiationDeviceConfigurationAndCommissioningKeySequence (300a,065a)
const DRTRadiationDeviceConfigurationAndCommissioningKeySequence & | getRadiationDeviceConfigurationAndCommissioningKeySequence () const
| get RadiationDeviceConfigurationAndCommissioningKeySequence (300a,065a)
OFCondition | setAlternateBeamDose (const OFString &value, const OFBool check=OFTrue)
| set AlternateBeamDose (300a,0091)
OFCondition | setAlternateBeamDoseType (const OFString &value, const OFBool check=OFTrue)
| set AlternateBeamDoseType (300a,0092)
OFCondition | setBeamDeliveryDurationLimit (const Float64 value, const unsigned long pos=0)
| set BeamDeliveryDurationLimit (300a,00c5)
OFCondition | setBeamDose (const OFString &value, const OFBool check=OFTrue)
| set BeamDose (300a,0084)
OFCondition | setBeamDoseType (const OFString &value, const OFBool check=OFTrue)
| set BeamDoseType (300a,0090)
OFCondition | setBeamMeterset (const OFString &value, const OFBool check=OFTrue)
| set BeamMeterset (300a,0086)
OFCondition | setDoseCalibrationConditionsVerifiedFlag (const OFString &value, const OFBool check=OFTrue)
| set DoseCalibrationConditionsVerifiedFlag (300c,0123)
OFCondition | setReferencedBeamNumber (const OFString &value, const OFBool check=OFTrue)
| set ReferencedBeamNumber (300c,0006)
OFCondition | setReferencedDoseReferenceUID (const OFString &value, const OFBool check=OFTrue)
| set ReferencedDoseReferenceUID (300a,0083)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmDecimalString | AlternateBeamDose
| AlternateBeamDose (300a,0091) vr=DS, vm=1, type=3.
DcmCodeString | AlternateBeamDoseType
| AlternateBeamDoseType (300a,0092) vr=CS, vm=1, type=1C.
DcmFloatingPointDouble | BeamDeliveryDurationLimit
| BeamDeliveryDurationLimit (300a,00c5) vr=FD, vm=1, type=3.
DcmDecimalString | BeamDose
| BeamDose (300a,0084) vr=DS, vm=1, type=3.
DcmCodeString | BeamDoseType
| BeamDoseType (300a,0090) vr=CS, vm=1, type=1C.
DcmDecimalString | BeamMeterset
| BeamMeterset (300a,0086) vr=DS, vm=1, type=3.
DRTDoseCalibrationConditionsSequence | DoseCalibrationConditionsSequence
| DoseCalibrationConditionsSequence (300c,0120) vr=SQ, vm=1, type=1C.
DcmCodeString | DoseCalibrationConditionsVerifiedFlag
| DoseCalibrationConditionsVerifiedFlag (300c,0123) vr=CS, vm=1, type=3.
DRTRadiationDeviceConfigurationAndCommissioningKeySequence | RadiationDeviceConfigurationAndCommissioningKeySequence
| RadiationDeviceConfigurationAndCommissioningKeySequence (300a,065a) vr=SQ, vm=1, type=1C.
DcmIntegerString | ReferencedBeamNumber
| ReferencedBeamNumber (300c,0006) vr=IS, vm=1, type=1.
DcmUniqueIdentifier | ReferencedDoseReferenceUID
| ReferencedDoseReferenceUID (300a,0083) vr=UI, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getAlternateBeamDose() [1/2]

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::getAlternateBeamDose | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get AlternateBeamDose (300a,0091)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getAlternateBeamDose() [2/2]

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::getAlternateBeamDose | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get AlternateBeamDose (300a,0091)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getAlternateBeamDoseType()

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::getAlternateBeamDoseType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get AlternateBeamDoseType (300a,0092)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamDeliveryDurationLimit()

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::getBeamDeliveryDurationLimit | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get BeamDeliveryDurationLimit (300a,00c5)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamDose() [1/2]

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::getBeamDose | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get BeamDose (300a,0084)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamDose() [2/2]

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::getBeamDose | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BeamDose (300a,0084)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamDoseType()

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::getBeamDoseType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BeamDoseType (300a,0090)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamMeterset() [1/2]

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::getBeamMeterset | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get BeamMeterset (300a,0086)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamMeterset() [2/2]

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::getBeamMeterset | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BeamMeterset (300a,0086)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDoseCalibrationConditionsSequence() [1/2]

DRTDoseCalibrationConditionsSequence & DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::getDoseCalibrationConditionsSequence | ( |  | ) |
| inline

get DoseCalibrationConditionsSequence (300c,0120)

Returns
  reference to sequence element

References DoseCalibrationConditionsSequence.

## ◆ getDoseCalibrationConditionsSequence() [2/2]

const DRTDoseCalibrationConditionsSequence & DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::getDoseCalibrationConditionsSequence | ( |  | ) | const
| inline

get DoseCalibrationConditionsSequence (300c,0120)

Returns
  const reference to sequence element

References DoseCalibrationConditionsSequence.

## ◆ getDoseCalibrationConditionsVerifiedFlag()

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::getDoseCalibrationConditionsVerifiedFlag | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DoseCalibrationConditionsVerifiedFlag (300c,0123)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRadiationDeviceConfigurationAndCommissioningKeySequence() [1/2]

DRTRadiationDeviceConfigurationAndCommissioningKeySequence & DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::getRadiationDeviceConfigurationAndCommissioningKeySequence | ( |  | ) |
| inline

get RadiationDeviceConfigurationAndCommissioningKeySequence (300a,065a)

Returns
  reference to sequence element

References RadiationDeviceConfigurationAndCommissioningKeySequence.

## ◆ getRadiationDeviceConfigurationAndCommissioningKeySequence() [2/2]

const DRTRadiationDeviceConfigurationAndCommissioningKeySequence & DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::getRadiationDeviceConfigurationAndCommissioningKeySequence | ( |  | ) | const
| inline

get RadiationDeviceConfigurationAndCommissioningKeySequence (300a,065a)

Returns
  const reference to sequence element

References RadiationDeviceConfigurationAndCommissioningKeySequence.

## ◆ getReferencedBeamNumber() [1/2]

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::getReferencedBeamNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ReferencedBeamNumber (300c,0006)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedBeamNumber() [2/2]

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::getReferencedBeamNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get ReferencedBeamNumber (300c,0006)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedDoseReferenceUID()

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::getReferencedDoseReferenceUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ReferencedDoseReferenceUID (300a,0083)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAlternateBeamDose()

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::setAlternateBeamDose | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set AlternateBeamDose (300a,0091)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAlternateBeamDoseType()

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::setAlternateBeamDoseType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set AlternateBeamDoseType (300a,0092)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamDeliveryDurationLimit()

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::setBeamDeliveryDurationLimit | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

set BeamDeliveryDurationLimit (300a,00c5)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamDose()

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::setBeamDose | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BeamDose (300a,0084)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamDoseType()

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::setBeamDoseType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BeamDoseType (300a,0090)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamMeterset()

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::setBeamMeterset | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BeamMeterset (300a,0086)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDoseCalibrationConditionsVerifiedFlag()

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::setDoseCalibrationConditionsVerifiedFlag | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DoseCalibrationConditionsVerifiedFlag (300c,0123)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedBeamNumber()

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::setReferencedBeamNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ReferencedBeamNumber (300c,0006)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedDoseReferenceUID()

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::setReferencedDoseReferenceUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ReferencedDoseReferenceUID (300a,0083)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTReferencedBeamSequenceInRTGeneralTreatmentRecordModule::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtrbs2.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2